/**
 * Card (<article>)
 */

article {
  margin: var(--block-spacing-vertical) 0;
  padding: var(--block-spacing-vertical) var(--block-spacing-horizontal);
  border-radius: var(--border-radius);
  background: var(--card-background-color);
  box-shadow: var(--card-box-shadow);

  > header,
  > footer {
    margin-right: calc(var(--block-spacing-horizontal) * -1);
    margin-left: calc(var(--block-spacing-horizontal) * -1);
    padding: calc(var(--block-spacing-vertical) * 0.66) var(--block-spacing-horizontal);
    background-color: var(--card-sectionning-background-color);
  }

  > header {
    margin-top: calc(var(--block-spacing-vertical) * -1);
    margin-bottom: var(--block-spacing-vertical);
    border-bottom: calc(2 * var(--border-width)) solid var(--card-border-color);
    border-radius: var(--border-radius) var(--border-radius) 0 0;
    display: flex;
    flex-direction: row;
    align-items: center;
    &:only-child {
      border-radius: var(--border-radius);
    }
  }

  > footer {
    margin-top: var(--block-spacing-vertical);
    margin-bottom: calc(var(--block-spacing-vertical) * -1);
    border-top: var(--border-width) solid var(--card-border-color);
    border-radius: 0 0 var(--border-radius) var(--border-radius);
    &:only-child {
      border-radius: var(--border-radius);
    }
  }

  > header:only-child {
    margin-bottom: calc(var(--block-spacing-vertical) * -1);
  }

  > footer:only-child {
    margin-top: calc(var(--block-spacing-vertical) * -1);
  }

  &[data-is-open="false"] {
    padding-bottom: 0;
    > header {
      margin-bottom: 0;
    }
  }

  > .flush {
    margin: calc(-1 * var(--block-spacing-vertical)) calc(-1 * var(--block-spacing-horizontal));
  }

  &.flex {
    display: flex;
    flex-direction: column;
  }

  &.flex > .flush {
    width: auto;
    height: auto;
    flex: 1;
    position: relative;
  }
}
